Fund Return Claim Request API
Sends a fund return claim request to the Hecto Financial server from the merchant server, for a remittance sent in error.
Uses the transaction reference number (trdNo) from the 'Remittance' API to submit a fund return claim.
API Information
POST/v2/api/fundsReturn/req
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v2/api/fundsReturn/req운영
https://npay.settlebank.co.kr/v2/api/fundsReturn/reqRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
*No Korean characters. This is the order number for the fund return claim request, not the original transaction order number.
└ornTrdDtAN(8)Alphanumeric, up to 8 bytes*Original transaction date.
Original transaction date.
*Transaction date of the fund return claim. YYYYMMDD
└ornTrdNoAN(40)Alphanumeric, up to 40 bytes*Original transaction reference number.
Original transaction reference number.
*Transaction reference number to claim fund return for
└wdBankCdAN(3)Alphanumeric, up to 3 bytesDebit bank code.
Debit bank code.
*3-digit bank code of the debited bank
└wdAcntNoAN(24)Alphanumeric, up to 24 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Debit account number.Debit account number.
*Account number of the debited bank
└dpBankCdAN(3)Alphanumeric, up to 3 bytes*Deposit bank code.
Deposit bank code.
*3-digit bank code of the deposit bank. Used for original transaction verification.
└dpAcntNoAN(24)Alphanumeric, up to 24 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Deposit account number.Deposit account number.
*Account number of the deposit bank. Used for original transaction verification.
└trdAmtN(13)Numeric, up to 13 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Transaction amount (claim amount).Transaction amount (claim amount).
*Amount to claim for return. Full return if equal to original transaction amount; partial return if less than original.
└rtnAcntNoAN(24)Alphanumeric, up to 24 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Return account number.Return account number.
*Account number to receive the returned funds
└rtnRsnCdAN(2)Alphanumeric, up to 2 bytes*Return reason code.
Return reason code.
02: Incorrect account number 03: Incorrect amount 04: Duplicate remittance 05: Other 08: Customer return request*Reason code for the fund return claim
└rtnRsnMsgAN(100)Alphanumeric, up to 100 bytes*Return reason message.
Return reason message.
*Reason for the fund return claim
└cphoneNoAN(3)Alphanumeric, up to 3 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Contact phone number.Contact phone number.
└emailAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Contact email address.Contact email address.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
*The customer device's IP address, not the merchant server IP
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + original transaction date + original transaction reference number + deposit bank code + deposit account number (plaintext) + transaction amount (plaintext) + return reason code + contact phone number (plaintext) + email (plaintext) + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + original transaction date + original transaction reference number + deposit bank code + deposit account number (plaintext) + transaction amount (plaintext) + return reason code + contact phone number (plaintext) + email (plaintext) + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
STFP_FIRM20230330095423555Hecto Financial transaction reference number.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID20230330095512450Merchant order number.
*No Korean characters
Request Example
{
"hdInfo": "SPAY_FR0W_1.0",
"mchtId": "midtest",
"mchtTrdNo": "OID201902210001",
"ornTrdDt": "20230330",
"ornTrdNo": "STFP_FIRM1233444365430698",
"wdBankCd": "004",
"wdAcntNo": "AES-encrypted debit account number",
"dpBankCd": "020",
"dpAcntNo": "AES-encrypted deposit account number",
"trdAmt": "AES-encrypted transaction amount",
"rtnAcntNo": "AES-encrypted return account number",
"rtnRsnCd": "05",
"rtnRsnMsg": "Requesting return due to erroneous remittance",
"cphoneNo": "AES-encrypted phone number",
"email": "AES-encrypted email",
"custIp": "127.0.0.1",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"trdNo": "STFP_FIRM20230330095423555",
"mchtTrdNo": "OID20230330095512450"
}
Need technical support?
Code Samples
HectoFinancial GitHub